#include <SoftwareSerial.h>

SoftwareSerial g_ble(6, 7);
int g_iCounter = 0;	// カウンター

const char szUUIDChara1[] = "FF6B14268FE611E7ABC4CEC278B6B50A";
const char szUUIDChara2[] = "FF6B15488FE611E7ABC4CEC278B6B50A";

void setup()
{
	// RN4020の起動待ちウェイト
	delay( 1000 );	// 1秒

	// ボーレートを指定して通信開始
	g_ble.begin( 115200 );
}

void loop()
{
	char szCommand[1024] = "";	// 送信コマンド

	// １つ目のキャラクタリスティック
	sprintf( szCommand, "SUW,%s,%04X", szUUIDChara1, g_iCounter );	// コマンド作成
	g_ble.println( szCommand );	// コマンド送信

	// ２つ目のキャラクタリスティック
	if( 0 == g_iCounter % 60 )
	{	// 60秒ごとに処理する。
		int iMinutes = g_iCounter / 60;
		char szString[64] = "";
		sprintf( szString, "%d[min]", iMinutes );	// 送信する文字列の作成
		char szHex[64] = "";
		int iCountChar = strlen( szString );
		for( int i = 0; i < iCountChar; i++ )
		{	// 送信する文字列を、16進数文字列に変換
			// 一文字づつ、16進数値に変換し、連結していく。
			sprintf( szHex, "%s%02X", szHex, szString[i] );	// 
		}
		sprintf( szCommand, "SUW,%s,%s", szUUIDChara2, szHex );	// コマンド作成
		g_ble.println( szCommand );	// コマンド送信
	}

	// カウントアップ
	g_iCounter++;
	delay( 1000 );	// 1秒
}
